Bug 689114 - Review Request: php-pear-File-Util - Common file and directory utility functions
Summary: Review Request: php-pear-File-Util - Common file and directory utility functions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthieu Saulnier
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 689112
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-19 15:56 UTC by Remi Collet
Modified: 2012-04-12 02:19 UTC (History)
3 users (show)

Fixed In Version: php-pear-File-Util-1.0.0-2.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-12 02:19:58 UTC
Type: ---
casper: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2011-03-19 15:56:39 UTC
Spec URL: http://remi.fedorapeople.org/php-pear-File-Util.spec
Needed SRPM URL: 
http://remi.fedorapeople.org/php-pear-File-1.4.0-1.remi.src.rpm
http://remi.fedorapeople.org/php-pear-File-CSV-1.0.0-1.remi.src.rpm
http://remi.fedorapeople.org/php-pear-File-Util-1.0.0-1.remi.src.rpm

Description: 
Common file and directory utility functions. Path handling, temp dir/file,
sorting of files, listDirs, isIncludable and more.

-----
Main package "File" (already in the repository) have been split in 3 packages :
File, File_CSV, File_Util.

Each can be build separately, but all must be installed to work and run tests.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2925539

File_CSV submit for review, see Bug #689112

Comment 1 Remi Collet 2012-01-29 18:57:52 UTC
Minor cleanups:
http://remi.fedorapeople.org/php-pear-File-Util-1.0.0-2.fc16.remi.src.rpm

Comment 2 Matthieu Saulnier 2012-03-28 19:08:56 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[-]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST The spec file handles locales properly.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint php-pear-File-Util-1.0.0-2.fc18.src.rpm

php-pear-File-Util.src: W: spelling-error %description -l en_US dir -> deer, rid, Dir
php-pear-File-Util.src: W: spelling-error %description -l en_US listDirs -> blisters
php-pear-File-Util.src: W: spelling-error %description -l en_US isIncludable -> ineluctable
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint php-pear-File-Util-1.0.0-2.fc18.noarch.rpm

php-pear-File-Util.noarch: W: spelling-error %description -l en_US dir -> deer, rid, Dir
php-pear-File-Util.noarch: W: spelling-error %description -l en_US listDirs -> blisters
php-pear-File-Util.noarch: W: spelling-error %description -l en_US isIncludable -> ineluctable
php-pear-File-Util.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/builder/fedora-review/689114/File_Util-1.0.0.tgz :
  MD5SUM this package     : 3861d4bf90f2add2572ed1b6a602c655
  MD5SUM upstream package : 3861d4bf90f2add2572ed1b6a602c655

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Rpmlint output is silent.

rpmlint php-pear-File-Util-1.0.0-2.fc18.src.rpm

php-pear-File-Util.src: W: spelling-error %description -l en_US dir -> deer, rid, Dir
php-pear-File-Util.src: W: spelling-error %description -l en_US listDirs -> blisters
php-pear-File-Util.src: W: spelling-error %description -l en_US isIncludable -> ineluctable
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint php-pear-File-Util-1.0.0-2.fc18.noarch.rpm

php-pear-File-Util.noarch: W: spelling-error %description -l en_US dir -> deer, rid, Dir
php-pear-File-Util.noarch: W: spelling-error %description -l en_US listDirs -> blisters
php-pear-File-Util.noarch: W: spelling-error %description -l en_US isIncludable -> ineluctable
php-pear-File-Util.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.1.3
External plugins:


Hi Remi
Before I approve the package, what is this "docdir" that you remove in %install section as :
> rm -rf %{buildroot} docdir
in the spec file ?

Comment 3 Remi Collet 2012-03-28 22:09:05 UTC
Just something I need to remove (old stuff from previous version where doc was not installed in /usr/share/doc/pear).

T could probably remove this after import ?
(I'm AFK now)

Comment 4 Matthieu Saulnier 2012-03-28 23:17:28 UTC
(In reply to comment #3)
> T could probably remove this after import ?
yes please

----------------
PACKAGE APPROVED
----------------

Comment 5 Remi Collet 2012-03-31 12:45:43 UTC
Thanks for the review

New Package SCM Request
=======================
Package Name: php-pear-File-Util
Short Description: Common file and directory utility functions 
Owners: remi
Branches: f16 f17 el6
InitialCC:

Comment 6 Gwyn Ciesla 2012-03-31 17:44:40 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2012-04-01 08:06:39 UTC
php-pear-File-Util-1.0.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-pear-File-Util-1.0.0-2.fc17

Comment 8 Fedora Update System 2012-04-01 17:35:12 UTC
php-pear-File-Util-1.0.0-2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 9 Fedora Update System 2012-04-12 02:19:58 UTC
php-pear-File-Util-1.0.0-2.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.